version: "3.2"
services:
  web:
    image: node:latest
    container_name: fronted
    working_dir: /usr/src/app/
    expose:
      - ${DOCKER_PORT_FRONTED}
    ports:
      - ${HOST_PORT_FRONTED}:${DOCKER_PORT_FRONTED}
    volumes:
      - $PWD:/usr/src/app/
    environment:
      - HOST=${IP_HOST_FRONTED}
      - PORT=${HOST_PORT_FRONTED}
    command: bash -c "npm install && npm run ${DEV}"
    networks:
      net:
        ipv4_address: ${IP_FRONTED}

  coder:
    build: $PWD/Docker/coder-server/
    container_name: coder
    restart: always
    expose:
      - ${DOCKER_PORT_CODER}
    ports:
      - ${HOST_PORT_CODER}:${DOCKER_PORT_CODER}
    volumes:
      - $PWD:/root/project
      - $PWD/vscode/dependencies:/root/.local/share/code-server/dependencies
      - $PWD/vscode/extensions:/root/.local/share/code-server/extensions
      - $PWD/vscode/globalStorage:/root/.local/share/code-server/globalStorage
      - $PWD/vscode/User:/root/.local/share/code-server/User
    environment:
      - password=silviopd
    networks:
      net:
        ipv4_address: ${IP_CODER}

networks:
  net:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: ${RED}/24
